SDL_GamepadHasSensor(3)

NAME
SDL_GamepadHasSensor - Return whether a gamepad has a particular sensor.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

bool SDL_GamepadHasSensor(SDL_Gamepad *gamepad, SDL_SensorType type);

FUNCTION PARAMETERS

gamepad
    the gamepad to query.

type
    the type of sensor to query.

RETURN VALUE
Returns true if the sensor exists, false otherwise.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetGamepadSensorData(3), SDL_GetGamepadSensorDataRate(3), SDL_SetGamepadSensorEnabled(3)